﻿Imports System.Collections.ObjectModel
Imports System.Security.Cryptography
Imports System.ComponentModel
Imports System.Xml.Serialization
Namespace Models
    Public Class Kunden
        Public Property Kontakte As New ObservableCollection(Of Kunden.Kontakt)
        Public Class Kontakt
            Private _Nachname As String
            Private _Vorname As String
            Public Property Nachname As String
                Get
                    Return _Nachname
                End Get
                Set(value As String)
                    If _Nachname = value Then
                        Return
                    End If
                    _Nachname = value
                End Set
            End Property
            Public Property Vorname As String
                Get
                    Return _Vorname
                End Get
                Set(value As String)
                    If _Vorname = value Then
                        Return
                    End If
                    _Vorname = value
                End Set
            End Property
            Sub New(Optional ByVal InputNachname As String = "", Optional ByVal InputVorname As String = "")
                _Nachname = InputNachname
                _Vorname = InputVorname
            End Sub
        End Class
        Public Function LoadXMLKontakte(Filename As String) As Kunden
            Dim objKunden As New Models.Kunden
            Dim XmlReader As New System.Xml.Serialization.XmlSerializer(GetType(Models.Kunden))
            Dim XmlFile As New System.IO.StreamReader(Filename)
            objKunden = CType(XmlReader.Deserialize(XmlFile), Kunden)
            Return objKunden
            XmlFile.Close()
        End Function
        Public Sub SaveKontakteAsXML(Filename As String, MyKunden As Kunden)
            Dim XmlWRiter As New System.Xml.Serialization.XmlSerializer(GetType(Kunden))
            Dim XmlFileWrite As New System.IO.StreamWriter(Filename)
            XmlWRiter.Serialize(XmlFileWrite, MyKunden)
            XmlFileWrite.Close()
        End Sub
    End Class
End Namespace